Functions
Databases
kvmlib

## Functions
kvmStatus | kvmKmfGetDbaseFile (kvmHandle h, char *path, char *filenamebuf, size_t buflen)
kvmStatus | kvmKmfPutDbaseFile (kvmHandle h, char *filename)
kvmStatus | kvmKmfEraseDbaseFile (kvmHandle h)

## Detailed Description

## Function Documentation

## ◆ kvmKmfEraseDbaseFile()

kvmStatus kvmKmfEraseDbaseFile | ( | kvmHandle | h | ) |

Erase the database file.

Parameters

  [in] | h | An open kvmHandle.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

## ◆ kvmKmfGetDbaseFile()

kvmStatus kvmKmfGetDbaseFile | ( | kvmHandle | h,
|  | char * | path,
|  | char * | filenamebuf,
|  | size_t | buflen
| ) |  |

Read the database file. The database will be extracted to path and the name of the created file copied to filenamebuf.

Parameters

  [in] | h | An open kvmHandle.
  [in] | path | The path where the database file will be stored.
  [out] | filenamebuf | The filename of the database. (should be greater then 12 bytes)
  [in] | buflen | The lenght of filenamebuf

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

See also
  kvmKmfPutDbaseFile()

## ◆ kvmKmfPutDbaseFile()

kvmStatus kvmKmfPutDbaseFile | ( | kvmHandle | h,
|  | char * | filename
| ) |  |

Write the database file

Parameters

  [in] | h | An open kvmHandle.
  [in] | filename | The full path and name of the file, e.g. C:\temp\myfile.data Note that the filename will be truncated to an 8.3 filename.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

See also
  kvmKmfGetDbaseFile()